Ben Kimim
GET
/v1/auth/whoamiOptionalDoğrulanmış API anahtarından kimliği doğrulanmış özneyi sorgular. Çağıranın bir üye işyeri mi yoksa alt üye işyeri mi olduğunu ve kapsamını bildirir.
Kimlik Doğrulama
İmza Deseni
HMAC-SHA256(secretKey, "{timestamp}\nGET\n/v1/auth/whoami\n{sha256(\"\")}")| Başlık | Değer | Açıklama |
|---|---|---|
X-Api-Key | pk_live_a1b2c3d4e5f6g7h8 | Merchant public API key |
X-Signature | {hmac_sha256_hex} | Hex HMAC-SHA256 request signature |
X-Timestamp | 2026-04-13T10:00:00Z | ISO 8601 UTC request time (±5 min) |
Yanıt Parametreleri
| Alan | Tür | Örnek |
|---|---|---|
subjectScope | string | "merchant" |
merchantId | string | "mrc_8a1b2c3d4e5f" |
apiKeyId | string | "key_708192a3b4c5" |
Yanıt Örneği
JSONYanıt
{
"subjectScope": "merchant",
"merchantId": "mrc_8a1b2c3d4e5f",
"apiKeyId": "key_708192a3b4c5"
}Durum Kodları
200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
DeneSahte
GEThttps://api.pay.sandbox.kvell.group